__scsi_device_lookup_by_target
Prev | drivers/scsi/scsi.c | Next

## Name

__scsi_device_lookup_by_target — find a device given the target (UNLOCKED)

## Synopsis

`struct scsi_device * __scsi_device_lookup_by_target (` | struct scsi_target * | starget,
| uint | lun`)`;

## Arguments

`starget`

  SCSI target pointer

`lun`

  SCSI Logical Unit Number

## Description

Looks up the scsi_device with the specified `lun` for a given `starget`. The returned scsi_device does not have an additional reference. You must hold the host's host_lock over this call and any access to the returned scsi_device.

## Note

The only reason why drivers should use this is because they need to access the device list in irq context. Otherwise you really want to use scsi_device_lookup_by_target instead.

Prev | Up | Next
__starget_for_each_device | Home | scsi_device_lookup_by_target